<?php
// $Id: template.php,v 1.2 2010/03/07 13:14:46 carlosespino Exp $
/*
* Initialize theme settings
*/
if (is_null(theme_get_setting('social_sidebar_left_width'))) {  // <-- change this line
  global $theme_key;

  /*
   * The default values for the theme variables. Make sure $defaults exactly
   * matches the $defaults in the theme-settings.php file.
   */
  $defaults = array(             // <-- change this array
    'social_sidebar_left_width' => "180px",
    'social_sidebar_right_width' => "180px",
    'social_content_width' => "1024px",
    'social_bars_position' => "left_right",
  );

  // Get default theme settings.
  $settings = theme_get_settings($theme_key);
  // Don't save the toggle_node_info_ variables.
  if (module_exists('node')) {
    foreach (node_get_types() as $type => $name) {
      unset($settings['toggle_node_info_' . $type]);
    }
  }
  // Save default theme settings.
  variable_set(
    str_replace('/', '_', 'theme_'. $theme_key .'_settings'),
    array_merge($defaults, $settings)
  );
  // Force refresh of Drupal internals.
  theme_get_setting('', TRUE);
}

function make_aditional_styles($left,$right) {
	$social_sidebar_left_width = 0;
	$social_sidebar_right_width = 0;

	$social_bars_position = theme_get_setting('social_bars_position');

	$social_content_width = theme_get_setting('social_content_width');
	$social_content_width = str_replace("px", "", $social_content_width);
	$social_content_width = str_replace("%", "", $social_content_width);


	if ( $social_bars_position != 'right' ){
		$social_sidebar_left_width = theme_get_setting('social_sidebar_left_width');
		$social_sidebar_left_width = str_replace("px", "", $social_sidebar_left_width);
		$social_sidebar_left_width = str_replace("%", "", $social_sidebar_left_width);
	}

	if ( $social_bars_position != 'left' ){
		$social_sidebar_right_width = theme_get_setting('social_sidebar_right_width');
		$social_sidebar_right_width = str_replace("px", "", $social_sidebar_right_width);
		$social_sidebar_right_width = str_replace("%", "", $social_sidebar_right_width);
	}

    if ( empty($left) ){
      $social_sidebar_left_width = 0;
    }
    
    if ( empty($right) ){
      $social_sidebar_right_width = 0;
    }

	$social_main_width = $social_content_width - $social_sidebar_left_width - $social_sidebar_right_width;
	
	return " 

		<style type=\"text/css\"> 

			.container {
			  width: ".$social_content_width."px;
			}

			#container_left {
			  width: ".$social_sidebar_left_width."px;
			  float: left;
			}	

			#container_right {
			  width: ".$social_sidebar_right_width."px;
			  float: left;
			}

			#container_main {
			 width: ".$social_main_width."px;
			 float: left;
			}

		</style>";
}

function print_sidebar( $sidebar_hand, $content ) {
    $content_sidebar = '';
	if ( $sidebar_hand == 'right') {
		  if ($content){
		    $content_sidebar = '
		    <div id="container_right">
		      <div id="sidebar-right" class="sidebar">'.
		         $content
		      .'</div> <!-- /#sidebar-right -->
		    </div> <!-- /#container-right -->';
		  }
	}

	else {
		if ($content) {
			$content_sidebar =  '
			<div id=container_left>
			  <div id="sidebar-left" class="sidebar">'.
				$content
			  .'</div> <!-- /#sidebar-left -->
			</div><!-- /#container_left -->';
		  	}
  	}
  	return $content_sidebar;
}

function get_side($side, $left, $right){
  $social_bars_position = theme_get_setting('social_bars_position');
  $side_content = '';
  
  if ( $side == 'left' ) {
    if ( $social_bars_position == 'left_left' ){
      $side_content .= print_sidebar('left',$left);
    }
    if ( $social_bars_position == 'left_left' ){
      $side_content .= print_sidebar('right',$right);
    }
    if ( $social_bars_position == 'left' ){
      $side_content .= print_sidebar('left',$left);
    }
    if ( $social_bars_position == 'left_right' ){
      $side_content .= print_sidebar('left',$left);
    }
  }
  
  if ( $side == 'right' ) {
      if ( $social_bars_position == 'right_right' ){
        $side_content .= print_sidebar('left',$left);
      }
      if ( $social_bars_position == 'right_right' ){
        $side_content .= print_sidebar('right',$right);
      }
      if ( $social_bars_position == 'right' ){
        $side_content .= print_sidebar('right',$right);
      }
      if ( $social_bars_position == 'left_right' ){
        $side_content .= print_sidebar('right',$right);
      }
  
  }
  return $side_content;
}



?>
