<?php
// $Id: theme-settings.php,v 1.2 2010/03/07 13:14:46 carlosespino Exp $

/**
* Implementation of THEMEHOOK_settings() function.
*
* @param $saved_settings
*   array An array of saved settings for this theme.
* @return
*   array A form array.
*/
function phptemplate_settings($saved_settings) {
  /*
   * The default values for the theme variables. Make sure $defaults exactly
   * matches the $defaults in the template.php file.
   */
  $defaults = array(
    'social_sidebar_left_width' => "180px",
    'social_sidebar_right_width' => "180px",
    'social_content_width' => "1024px",
	  'social_bars_position' => "left_right",
  );

  // Merge the saved variables and their default values
  $settings = array_merge($defaults, $saved_settings);

  // Create the form widgets using Forms API
  $form['social_sidebar_left_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Left sidebar'),
    '#default_value' => $settings['social_sidebar_left_width'],
  );
  $form['social_sidebar_right_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Right sidebar'),
    '#default_value' => $settings['social_sidebar_right_width'],
  );
  
  $form['social_content_width'] = array(
    '#type' => 'textfield',
    '#title' => t('Content'),
    '#default_value' => $settings['social_content_width'],
  );
  
  $form['social_bars_position'] = array(
    '#type' => 'select',
    '#title' => t('Sidebars position'),
    '#default_value' => $settings['social_bars_position'],
    '#options' => array( 'left_right' => t("Left and right"), 'left' => t("Left"), 'right' => t("Right"), 'left_left' => t("Two bars on the left"), 'right_right' => t("Two bars on the right")   )  ,
    '#description' => t('Select sidebars position')
  );



  // Return the additional form widgets
  return $form;
}
?>
